package com.huigou.topsun.proofing.controller;

import com.huigou.topsun.product.application.ProductApplication;
import com.huigou.topsun.proofing.application.WorkInstrcutionApplyApplication;
import com.huigou.topsun.proofing.domain.model.WorkInstrcutionApply;
import com.huigou.uasp.annotation.ControllerMapping;
import com.huigou.uasp.client.CommonController;
import com.huigou.util.SDO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import java.util.UUID;


@Controller
@ControllerMapping("/workInstrcutionApply")
public class WorkInstrcutionApplyController extends CommonController {

    protected String getPagePath() {
        return "/biz/topsun/proofing/";
    }

    @Autowired
    ProductApplication productApplication;
    @Autowired
    WorkInstrcutionApplyApplication workInstrcutionApplyApplication;


    public String forwardWorkInstrcutionApply(){
        String workInstrcutionApplyId = UUID.randomUUID().toString().replace("-", "");
        this.putAttribute("workInstrcutionApplyId", workInstrcutionApplyId);
        SDO sdo = this.getSDO();
        String productId = sdo.getString("productId");
        if(productId!=null&&!"".equals(productId))this.putAttribute("productId", productId);
        return forward("workInstrcutionApply");
    }

    public String queryWorkInstrcutionApply() {
        SDO sdo = this.getSDO();
        String productId = sdo.getString("productId");
        return toResult(null);
    }

    /**
     * 添加指导申请书
     */
    public String saveWorkInstrcutionApply(){
        SDO sdo = this.getSDO();
        WorkInstrcutionApply workInstrcutionApply = sdo.toObject(WorkInstrcutionApply.class);
        workInstrcutionApplyApplication.saveWorkInstrcutionApply(workInstrcutionApply);
        return toResult(workInstrcutionApply);
    }

}

